Package org.silverpeas.mobile.shared.dto.formsonline

## Class FormRequestDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.formsonline.FormRequestDTO

- All Implemented Interfaces:
    `Serializable`

      public class FormRequestDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `STATE_ARCHIVED` |
    `static int` | `STATE_CANCELED` |
    `static int` | `STATE_READ` |
    `static int` | `STATE_REFUSED` |
    `static int` | `STATE_UNREAD` |
    `static int` | `STATE_VALIDATED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormRequestDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getComments()` |
    `String` | `getCreationDate()` |
    `String` | `getCreator()` |
    `List<FormFieldDTO>` | `getData()` |
    `String` | `getDescription()` |
    `String` | `getFormId()` |
    `String` | `getFormName()` |
    `FormLayerDTO` | `getHtmlLayer()` |
    `String` | `getId()` |
    `int` | `getState()` |
    `String` | `getStateLabel()` |
    `String` | `getTitle()` |
    `int` | `getValidator()` |
    `boolean` | `isReadOnly()` |
    `void` | `setComments​(String comments)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setCreator​(String creator)` |
    `void` | `setData​(List<FormFieldDTO> data)` |
    `void` | `setDescription​(String description)` |
    `void` | `setFormId​(String formId)` |
    `void` | `setFormName​(String formName)` |
    `void` | `setHtmlLayer​(FormLayerDTO htmlLayer)` |
    `void` | `setId​(String id)` |
    `void` | `setState​(int state)` |
    `void` | `setStateLabel​(String stateLabel)` |
    `void` | `setTitle​(String title)` |
    `void` | `setValidator​(int validator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_UNREAD

          public static final int STATE_UNREAD

      See Also:
        Constant Field Values

    - #### STATE_READ

          public static final int STATE_READ

      See Also:
        Constant Field Values

    - #### STATE_VALIDATED

          public static final int STATE_VALIDATED

      See Also:
        Constant Field Values

    - #### STATE_REFUSED

          public static final int STATE_REFUSED

      See Also:
        Constant Field Values

    - #### STATE_ARCHIVED

          public static final int STATE_ARCHIVED

      See Also:
        Constant Field Values

    - #### STATE_CANCELED

          public static final int STATE_CANCELED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FormRequestDTO

          public FormRequestDTO()

  - ### Method Detail

    - #### getHtmlLayer

          public FormLayerDTO getHtmlLayer()

    - #### setHtmlLayer

          public void setHtmlLayer​(FormLayerDTO htmlLayer)

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getComments

          public String getComments()

    - #### setComments

          public void setComments​(String comments)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getCreator

          public String getCreator()

    - #### setCreator

          public void setCreator​(String creator)

    - #### getCreationDate

          public String getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(String creationDate)

    - #### getState

          public int getState()

    - #### setState

          public void setState​(int state)

    - #### getData

          public List<FormFieldDTO> getData()

    - #### setData

          public void setData​(List<FormFieldDTO> data)

    - #### getFormId

          public String getFormId()

    - #### setFormId

          public void setFormId​(String formId)

    - #### getStateLabel

          public String getStateLabel()

    - #### setStateLabel

          public void setStateLabel​(String stateLabel)

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setFormName

          public void setFormName​(String formName)

    - #### getFormName

          public String getFormName()

    - #### getValidator

          public int getValidator()

    - #### setValidator

          public void setValidator​(int validator)